
package net.mcreator.everything.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;
import net.minecraft.network.chat.Component;

import net.mcreator.everything.init.EverythingModItems;

import java.util.List;

public class NegatoniumAxeItem extends AxeItem {
	public NegatoniumAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 2313;
			}

			public float getSpeed() {
				return 16f;
			}

			public float getAttackDamageBonus() {
				return 42f;
			}

			public int getLevel() {
				return 10;
			}

			public int getEnchantmentValue() {
				return 69;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(EverythingModItems.NEGATONIUM_INGOT.get()));
			}
		}, 1, -3f, new Item.Properties());
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(Component.literal("not so speacial"));
	}
}
