
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.everything.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.everything.EverythingMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EverythingModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, EverythingMod.MODID);
	public static final RegistryObject<CreativeModeTab> NEGATO = REGISTRY.register("negato",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.everything.negato")).icon(() -> new ItemStack(EverythingModBlocks.NEGATON_LOG.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EverythingModItems.NEGATONIUM_ARMOR_HELMET.get());
				tabData.accept(EverythingModItems.NEGATONIUM_ARMOR_CHESTPLATE.get());
				tabData.accept(EverythingModItems.NEGATONIUM_ARMOR_LEGGINGS.get());
				tabData.accept(EverythingModItems.NEGATONIUM_ARMOR_BOOTS.get());
				tabData.accept(EverythingModBlocks.NEGANITEGRASS.get().asItem());
				tabData.accept(EverythingModBlocks.NEGATORBENCH.get().asItem());
				tabData.accept(EverythingModItems.DONTSTOPBELEIVING.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.REDSTONE_BLOCKS) {
			tabData.accept(EverythingModBlocks.NEGATON_FENCE_GATE.get().asItem());
			tabData.accept(EverythingModBlocks.NEGATON_PRESSURE_PLATE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(EverythingModItems.NEGATONIUM_SWORD.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(EverythingModBlocks.NEGATON_LEAVES.get().asItem());
			tabData.accept(EverythingModBlocks.NEGATON_FENCE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(EverythingModItems.NEGATONIUM_AXE.get());
			tabData.accept(EverythingModItems.NEGATONIUM_PICKAXE.get());
			tabData.accept(EverythingModItems.NEGATONIUM_SHOVEL.get());
			tabData.accept(EverythingModItems.NEGATONIUM_HOE.get());
			tabData.accept(EverythingModItems.NEGATORA.get());
		}
	}
}
